Last Comment Bug 723316 - Port |Bug 668574 - Refuse to install on Windows XP SP 1 and below| to SeaMonkey
: Port |Bug 668574 - Refuse to install on Windows XP SP 1 and below| to SeaMonkey
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: x86 Windows 2000
-- normal (vote)
: seamonkey2.10
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
Depends on: 668574
Blocks: 729242
  Show dependency treegraph
 
Reported: 2012-02-01 15:11 PST by Robert Strong [:rstrong] (use needinfo to contact me)
Modified: 2012-03-11 18:12 PDT (History)
5 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
verified


Attachments
(Av1) Update MinSupportedVer string to "XP SP2" [Checked in: Comment 13] (742 bytes, patch)
2012-02-04 17:13 PST, Serge Gautherie (:sgautherie)
bugzilla: review+
Details | Diff | Splinter Review

Description User image Robert Strong [:rstrong] (use needinfo to contact me) 2012-02-01 15:11:59 PST
Spinoff of bug 668574 for SeaMonkey where we will no longer support Win XP SP1 and below.
Comment 1 User image Justin Wood (:Callek) 2012-02-02 00:14:14 PST
Though this is not technically required until SeaMonkey switches to MSVC2010 on our end, we will *need* to switch this cycle, and will do so asap.
Comment 2 User image Robert Strong [:rstrong] (use needinfo to contact me) 2012-02-02 00:17:55 PST
Note that as long as SeaMonkey uses the common code (in this instance InstallOnInitCommon) used by Firefox it will ride along with all Firefox changes such as this. So, when bug 668574 lands (likely tomorrow) SeaMonkey's installer will also pick up the change.
Comment 3 User image Justin Wood (:Callek) 2012-02-02 00:31:20 PST
(In reply to Robert Strong [:rstrong] (do not email) from comment #2)
> Note that as long as SeaMonkey uses the common code (in this instance
> InstallOnInitCommon) used by Firefox it will ride along with all Firefox
> changes such as this. So, when bug 668574 lands (likely tomorrow)
> SeaMonkey's installer will also pick up the change.

Thanks for that warning, I'm not *too* worried about the trunk installer carrying along this change -- we'll hopefully be switched to MSVC2010 within the week anyway.
Comment 4 User image Serge Gautherie (:sgautherie) 2012-02-04 17:13:21 PST
Created attachment 594501 [details] [diff] [review]
(Av1) Update MinSupportedVer string to "XP SP2"
[Checked in: Comment 13]
Comment 5 User image Serge Gautherie (:sgautherie) 2012-02-04 17:26:01 PST
(In reply to Justin Wood (:Callek) from comment #1)
> Though this is not technically required until SeaMonkey switches to MSVC2010
> on our end, we will *need* to switch this cycle, and will do so asap.

Fwiw, .zip dated Feb 1st is the last to run on my Windows 2000:
.zip dated Feb 02-04 crashes during startup.

(In reply to Robert Strong [:rstrong] (do not email) from comment #2)
> So, when bug 668574 lands (likely tomorrow)
> SeaMonkey's installer will also pick up the change.

Hence SM should update its string asap.
Comment 6 User image Serge Gautherie (:sgautherie) 2012-02-15 09:57:24 PST
Ping for review.
Comment 7 User image Serge Gautherie (:sgautherie) 2012-02-25 00:28:05 PST
Ftr,
/pub/seamonkey/nightly/2012/02/2012-02-24-00-30-01-comm-central-trunk
seamonkey-2.10a1.en-US.win32.installer.exe
complains it can't install on my Windows 2000 because it requires it or newer ;-<
Comment 8 User image Ian Neal 2012-03-02 13:56:24 PST
Comment on attachment 594501 [details] [diff] [review]
(Av1) Update MinSupportedVer string to "XP SP2"
[Checked in: Comment 13]

Probably more mcsmurf's territory
Comment 9 User image Serge Gautherie (:sgautherie) 2012-03-09 03:55:00 PST
Ping for review.
Comment 10 User image Frank Wein [:mcsmurf] 2012-03-10 02:52:15 PST
Comment on attachment 594501 [details] [diff] [review]
(Av1) Update MinSupportedVer string to "XP SP2"
[Checked in: Comment 13]

Yes, looks good (and change is required as the toolkit/ installer code changed, too).
Comment 11 User image Frank Wein [:mcsmurf] 2012-03-10 02:56:19 PST
Jens: Can you update http://www.seamonkey-project.org/doc/system-requirements to reflect this change? In the future we'll only support Windows XP SP2 and newer.
Comment 12 User image Jens Hatlak (:InvisibleSmiley) 2012-03-10 03:03:42 PST
(In reply to Frank Wein [:mcsmurf] from comment #11)
> Jens: Can you update
> http://www.seamonkey-project.org/doc/system-requirements to reflect this
> change? In the future we'll only support Windows XP SP2 and newer.

That's bug 729242. I don't think the page needs an update before 2.10 goes beta. If anyone disagrees, please do it over there, thanks.
Comment 13 User image Serge Gautherie (:sgautherie) 2012-03-10 05:49:56 PST
Comment on attachment 594501 [details] [diff] [review]
(Av1) Update MinSupportedVer string to "XP SP2"
[Checked in: Comment 13]

http://hg.mozilla.org/comm-central/rev/480b0f3224e2
Comment 14 User image Serge Gautherie (:sgautherie) 2012-03-11 18:12:28 PDT
/pub/seamonkey/tinderbox-builds/comm-central-trunk-win32/1331423680
seamonkey-2.10a1.en-US.win32.installer.exe

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.